# List statements

This endpoint allows you to retrieve a list of balances for the required period for a given business.

Endpoint: GET /v1/businesses/{client_id}/statements
Version: v1
Security: BearerAuth

## Query parameters:

  - `offset` (integer)
    Offset to retrieve items from.
    Example: 50

  - `limit` (integer)
    Number of items per page.
    Example: 50

  - `start_date` (string, required)
    The start date for this statement in UTC.

  - `end_date` (string, required)
    The end date for this statement in UTC.

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of daily balance records for the given period.
    Example: 100

  - `next` (string)
    The URL to the next page of daily balance records.
    Example: "offset=50&limit=50"

  - `previous` (string)
    The URL to the previous page of daily balance records.
    Example: "offset=0&limit=50"

  - `start_date` (string)
    The start date for this statement in UTC.
    Example: "2024-01-01"

  - `end_date` (string)
    The end date for this statement in UTC.
    Example: "2024-01-31"

  - `currency` (string)
    The currency of the statement.
    Example: "AUD"

  - `opening_balance` (number)
    The opening balance of the statement.
    Example: 1000

  - `closing_balance` (number)
    The closing balance of the statement.
    Example: 1000

  - `daily_balances` (array)

  - `daily_balances.date` (string)
    The date of the daily balance.
    Example: "2024-01-01"

  - `daily_balances.opening_balance` (number)
    The opening balance of this date.
    Example: 1000

  - `daily_balances.closing_balance` (number)
    The closing balance of this date.
    Example: 1000

  - `daily_balances.id` (string)
    The ID of the daily balance.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `daily_balances.created` (string)
    The date and time when the balance was generated in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `daily_balances.updated` (string)
    The date and time when the balance was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"


## Response 401 fields

## Response 403 fields
